[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# TClipboardRequestEvent

Specifies an event handler signalled to get a stream instance with the data for a given clipboard format.

## Declaration

Source position: lcltype.pp line 2773

`type TClipboardRequestEvent = procedure(`
`const RequestedFormatID: TClipboardFormat;`
`Data: TStream`
`) of object;`

## Description

TClipboardRequestEvent is the type used to represent an event handler procedure for clipboard requests in widgetset classes. It is the type used to implement the OnRequest event handler in TClipboard.

## See also

TClipboard.OnRequest |  | OnRequest - event handler for a request for clipboard data.